Package org.eclipse.m2m.atl.dsls.tcs.extractor

## Class TCSExtractorPrintStream

- java.lang.Object
- - org.eclipse.m2m.atl.dsls.tcs.extractor.TCSExtractorPrintStream

All Implemented Interfaces:
  `TCSExtractorStream`

    public class TCSExtractorPrintStream
    extends java.lang.Object
    implements TCSExtractorStream

### Constructor Summary

Constructors
`TCSExtractorPrintStream​(java.io.OutputStream target)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `debug​(java.lang.String string)`
`void` `printBoolean​(boolean v)`
`void` `printComment​(java.lang.String c)`
`void` `printEscapedIdentifier​(java.lang.String identEscStart, java.lang.String ident, java.lang.String identEscEnd)`
`void` `printIdentifier​(java.lang.String ident)`
`void` `printInteger​(int v)`
`void` `printKeyword​(java.lang.String keyword)`
`void` `printReal​(java.lang.String string)`
`void` `printString​(java.lang.String stringDelim, java.lang.String v)`
`void` `printSymbol​(java.lang.String symbol)`
`void` `printWhiteSpace​(java.lang.String ws)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TCSExtractorPrintStream

    public TCSExtractorPrintStream​(java.io.OutputStream target)

### Method Detail

#### close

    public void close()

Specified by:
  `close` in interface `TCSExtractorStream`

#### debug

    public void debug​(java.lang.String string)

Specified by:
  `debug` in interface `TCSExtractorStream`

#### printBoolean

    public void printBoolean​(boolean v)

Specified by:
  `printBoolean` in interface `TCSExtractorStream`

#### printComment

    public void printComment​(java.lang.String c)

Specified by:
  `printComment` in interface `TCSExtractorStream`

#### printEscapedIdentifier

    public void printEscapedIdentifier​(java.lang.String identEscStart,
                                       java.lang.String ident,
                                       java.lang.String identEscEnd)

Specified by:
  `printEscapedIdentifier` in interface `TCSExtractorStream`

#### printIdentifier

    public void printIdentifier​(java.lang.String ident)

Specified by:
  `printIdentifier` in interface `TCSExtractorStream`

#### printInteger

    public void printInteger​(int v)

Specified by:
  `printInteger` in interface `TCSExtractorStream`

#### printKeyword

    public void printKeyword​(java.lang.String keyword)

Specified by:
  `printKeyword` in interface `TCSExtractorStream`

#### printReal

    public void printReal​(java.lang.String string)

Specified by:
  `printReal` in interface `TCSExtractorStream`

#### printString

    public void printString​(java.lang.String stringDelim,
                            java.lang.String v)

Specified by:
  `printString` in interface `TCSExtractorStream`

#### printSymbol

    public void printSymbol​(java.lang.String symbol)

Specified by:
  `printSymbol` in interface `TCSExtractorStream`

#### printWhiteSpace

    public void printWhiteSpace​(java.lang.String ws)

Specified by:
  `printWhiteSpace` in interface `TCSExtractorStream`